<?php

namespace App\Http\Requests;

use App\Traits\FailValidation;
use Illuminate\Foundation\Http\FormRequest;

class CheckBookFilterRequest extends FormRequest
{
    use FailValidation;

    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'category_id' => 'nullable',
            'book_id' => 'nullable',
            'volume_id' => 'nullable',
            'division_id' => 'nullable',
            'section_id' => 'nullable',
            'part_id' => 'nullable',
            'gate_id' => 'nullable',
            'law_id' => 'nullable',
            'chapter_id' => 'nullable',
            'branch_id' => 'nullable',
            'per_page' => 'nullable',
            'art_id' => 'nullable',
        ];
    }
}
